package com.muyu.data.mart.remote;

import com.muyu.data.mart.domain.realname.RealNameReq;
import com.muyu.data.mart.domain.realname.RealNameResp;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.data.mart.remote
 * @Project：cloud-port
 * @name：JuHeRemoteService
 * @Date：2024/9/6 14:43
 * 聚合远程调用service
 */
@FeignClient(value = "ali",path = "/juhe")
public interface JuHeRemoteService {
    @PostMapping("/real/name")
    RealNameResp realName(RealNameReq realNameReq);
}
