package com.muyu.domain;

import lombok.Data;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.domain
 * @Project：cloud-port
 * @name：IpPlace
 * @Date：2024/8/27 22:15
 * IP查询归属地
 */
@Data
public class IpPlace {
    /**
     * 国家
     */
    private String country;
    /**
     * 省份
     */
    private String province;
    /**
     * 城市
     */
    private String city;
    /**
     * 邮编
     */
    private String district;
    /**
     * 运营商
     */
    private String isp;
    /**
     * ip
     */
    private String ip;
}
