package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.domain
 * @Project：cloud-mart
 * @name：PhonePlace
 * @Date：2024/8/23 20:34
 * 手机号查询归属地
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PhonePlace {
    /**
     * 省份
     */
    private String province;
    /**
     * 城市
     */
    private String city;
    /**
     * 区号
     */
    private String areacode;
    /**
     * 邮编
     */
    private String zip;
    /**
     * 运营商
     */
    private String company;
    /**
     * 手机号
     */
    private String tel;
}
