package com.muyu.data.mart.domain.realname.juhe;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.data.mart.domain.realname.juhe
 * @Project：cloud-port
 * @name：RealNameResp
 * @Date：2024/9/6 10:25
 * 聚合数据实名认证接口响应
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JuHeRealNameResp {


//    @JSONField(name = "error_code")
//    private String errorCode;
//    private String reason;
//    private String result;
    @JSONField(name = "idcard")
    private String idCard;
    @JSONField(name = "realname")
    private String realName;
    private Integer res;
}
