package com.muyu.data.mart.controller;

import com.muyu.data.mart.domain.realname.RealNameReq;
import com.muyu.data.mart.service.TestService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.data.mart.controller
 * @Project：cloud-port
 * @name：TestController
 * @Date：2024/9/5 22:12
 */
@RestController
@RequestMapping("/test")
@AllArgsConstructor
public class TestController {

    private final TestService testService;

    @PostMapping("/real/name")
    public String realName(@RequestBody RealNameReq realNameReq){
        testService.realName(realNameReq);
        return "OK";
    }
}
